using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		Service.Fibonacci service = new Service.Fibonacci();

		string[] fibNumbers = service.CalculateFibonacci(25);

		foreach(string fibNumber in fibNumbers)
		{
			if (!fibNumber.StartsWith("DATA"))
			{
				HtmlTableRow row = new HtmlTableRow();
				HtmlTableCell cell = new HtmlTableCell();
				cell.InnerText = fibNumber;

				row.Cells.Add(cell);
				Results.Rows.Add(row);
			}
		}		
	}
}
